Package org.eclipse.graphiti.ui.internal.action

# Class DeleteAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.actions.WorkbenchPartAction
org.eclipse.gef.ui.actions.SelectionAction
org.eclipse.graphiti.ui.internal.action.AbstractPreDefinedAction
org.eclipse.graphiti.ui.internal.action.DeleteAction

All Implemented Interfaces:
  `org.eclipse.gef.Disposable`, `org.eclipse.gef.ui.actions.UpdateAction`, `IAvailable`, `IContextAndFeatureProvider`, `org.eclipse.jface.action.IAction`

public class DeleteAction extends AbstractPreDefinedAction implements IContextAndFeatureProvider

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION_ID`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`DeleteAction(org.eclipse.ui.IWorkbenchPart part, IConfigurationProvider configurationProvider)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`calculateEnabled()`
`IContext`
`createContext(PictogramElement pe)`
`boolean`
`isAvailable()`
`IFeature`
`provideFeatureForContext(IContext context)`
`void`
`run()`

### Methods inherited from class org.eclipse.graphiti.ui.internal.action.AbstractPreDefinedAction

`executeOnCommandStack, genericRun, getConfigurationProvider, getFeatureProvider, getSelectedPictogramElements`

### Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction

`dispose, getSelectedObjects, getSelection, handleSelectionChanged, setSelection, setSelectionProvider, update`

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ACTION_ID

public static final String ACTION_ID

## Constructor Details

### DeleteAction

public DeleteAction(org.eclipse.ui.IWorkbenchPart part, IConfigurationProvider configurationProvider)

## Method Details

### isAvailable

public boolean isAvailable()

Specified by:
  `isAvailable` in interface `IAvailable`

### calculateEnabled

protected boolean calculateEnabled()

Specified by:
  `calculateEnabled` in class `org.eclipse.gef.ui.actions.WorkbenchPartAction`

### run

public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`

### createContext

public IContext createContext(PictogramElement pe)

Specified by:
  `createContext` in interface `IContextAndFeatureProvider`

### provideFeatureForContext

public IFeature provideFeatureForContext(IContext context)

Specified by:
  `provideFeatureForContext` in interface `IContextAndFeatureProvider`